<?xml version="1.0" encoding="ISO-8859-1"?>

<!-- ***************

     Programmed by David Smith (Kinematics - dsmith@mad.scientist.com) 4 Mar 2003

     changed by Michael 'Mithi' Cordes ( http://www.dvd-welt.de/privat/xsl.html ) 11.12.2006

     *************** -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:include href="templates/template-genres.xsl"/>
  <xsl:include href="templates/template-regions.xsl"/>
  <xsl:include href="templates/template-credits.xsl"/>

<xsl:output method="html"
  encoding="ISO-8859-1"
  doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"
  doctype-system="http://www.w3.org/TR/html401/loose.dtd"/>

<xsl:template match="Collection">
<html>
  <head>
    <title>Mithis ungesehene DVDs</title>
    <meta name="author" content="Michael Cordes"/>
    <link rel="stylesheet" type="text/css" href="/privat/layout.css"/>
    <link rel="stylesheet" type="text/css" href="/privat/dvd-list.css"/>
    <meta http-equiv="content-type" content="text/html; charset=iso-8859-1"/>
    <link rel="shortcut icon" href="/privat/favicon.ico" type="image/x-icon"/>
  </head>
  <body>
    <table summary="Ueberschrift" align="center">
      <tr>
        <td>
          <div class="ro">
            <div class="lo">
              <div class="ru">
                <div class="lu">
                  <div class="inhalt">
                    <h1>Mithis ungesehene DVDs</h1>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </td>
      </tr>
    </table>
    <br/>
    <h3>Zur Zeit <xsl:value-of select="count(/Collection/DVD[CollectionType='Owned' and not(Events/Event/EventType='Watched')]/RunningTime)"/> Titel</h3>
    <table class="box" cellpadding="0" summary="DVD Liste" align="center">
        <xsl:apply-templates select="DVD"><xsl:sort select="RunningTime" data-type="number"/></xsl:apply-templates>
    </table>
  </body>
</html>
</xsl:template>


<xsl:template match="DVD">
<!-- Ungesehen Owned -->
  <xsl:if test="not(contains(Events, 'Watched')) and contains(CollectionType, 'Owned')">
       <tr>
         <td class="dvdTitle" colspan="2"><xsl:value-of select="Title"/>
           <xsl:if test="count(Description)&gt;0">
             <br/><xsl:value-of select="Description"/>
           </xsl:if>
         </td>
       </tr>
       <tr>
         <td colspan="2">
           <table border="0" width="100%">
             <tr>
               <td colspan="2" class="dvdData"><xsl:apply-templates select="Credits"/></td>
             </tr>
             <tr>
               <td width="50%" class="dvdData"><xsl:value-of select="RunningTime"/><xsl:text> min</xsl:text></td>
               <td class="dvdData"><xsl:apply-templates select="Regions"/></td>
             </tr>
             <tr>
               <td class="dvdData" colspan="2"><xsl:apply-templates select="Genres"/></td>
             </tr>
           </table>
         </td>
       </tr>
  </xsl:if>
</xsl:template>

</xsl:stylesheet>

